Name:		rawtherapee
Version:	5.10
Release:	%mkrel 1
Summary:	Raw image processing software
Group:		Graphics
License:	GPLv3 and MIT and IJG
URL:		http://www.rawtherapee.com/
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Patch2:		rawtherapee-5.2-CVE-2017-14348.patch
Patch3:		rawtherapee-5.2-CVE-2017-14265.patch
Patch4:     rawtherapee-5.2-CVE-2017-13735.patch
BuildRequires: libatomic-devel
BuildRequires:lib64canberra-gtk3-devel
BuildRequires:lib64gtkmm3.0-devel
BuildRequires:lib64atk1.0-devel
BuildRequires:lib64atkmm1.6-devel
BuildRequires:lib64bzip2-devel
BuildRequires:lib64cairo-devel
BuildRequires:lib64cairomm1.0-devel
BuildRequires:lib64canberra-devel
BuildRequires:lib64canberra-gtk-devel
BuildRequires:lib64expat1-devel
BuildRequires:lib64fftw-devel
BuildRequires:lib64fontconfig-devel
BuildRequires:lib64freetype6-devel
BuildRequires:lib64gdk_pixbuf2.0_0-devel
BuildRequires:lib64glib2.0_0-devel
BuildRequires:lib64glibmm2.4-devel
BuildRequires:lib64gtk+2.0_0-devel
BuildRequires:lib64gtkmm2.4-devel
BuildRequires:lib64iptcdata-devel
BuildRequires:lib64jpeg-devel
BuildRequires:lib64lcms2-devel
BuildRequires:lib64pango1.0-devel
BuildRequires:lib64pangomm2.4-devel
BuildRequires:lib64png-devel
BuildRequires: lib64sigc++2.0-devel
BuildRequires:lib64tiff-devel
BuildRequires:lib64lensfun-devel
BuildRequires: libgomp-devel
BuildRequires: libstdc++-devel
BuildRequires:lib64fftwomp3
BuildRequires: cmake
BuildRequires: mercurial
BuildRequires: multiarch-utils
BuildRequires: pkgconfig
BuildRequires: desktop-file-utils
BuildRequires: wayland-protocols-devel
#-----------------------------------------
Requires: hicolor-icon-theme


%description
Rawtherapee is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q
%autopatch -p1


%build
export CXXFLAGS="%{optflags} -std=c++11 -O3"
%cmake -DBUILD_SHARED_LIBS=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/16x16/apps/
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/icons/hicolor/32x32/apps/


# These file are taken from the root already
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/rawtherapee

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*
  
  
%clean
rm -rf $RPM_BUILD_ROOT

%post
update-menus
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi 


%postun
update-menus
touch --no-create %{_datadir}/icons/hicolor
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
  %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor
fi || :


%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}

%changelog
* Sun Feb 18 2024 tex - 5.10-1pclos2024
- new version

* Wed Nov 30 2022 tex - 5.9-1pclos2022
- new version

* Wed Nov 02 2022 tex - 5.8-2pclos2022
- rebuild against updates

* Wed Feb 05 2020 tex - 5.8-1pclos2020
- new version

* Fri Sep 13 2019 tex - 5.7-1pclos2019
- new version

* Fri May 03 2019 tex - 5.6-1pclos2019
- new version

* Mon Mar 04 2019 tex - 5.5-2pclos2019
- rebuild against updates

